Bug 46548 - isc-dhcp: Multiple issues (4.2)
isc-dhcp: Multiple issues (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
All Linux
: P3 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-08 13:53 CET by Philipp Hahn
Modified: 2018-04-18 14:16 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 7.5 (CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-03-08 13:53:16 CET
New Debian isc-dhcp 4.3.1-6+deb8u3A~4.2.3.201803080749 fixes:
This update addresses the following issues:
 * Plugs a socket descriptor leak in OMAPI (CVE-2017-3144)
 * Corrected refcnt loss in option parsing (CVE-2018-5733)
 * Correct buffer overrun in pretty_print_option (CVE-2018-5732)

CVE-2017-3144 dhcp: omapi code doesn't free socket descriptors when empty message is received allowing denial-of-service
CVE-2018-5733 dhcp: Reference count overflow in dhcpd allows denial of service
CVE-2018-5732 dhcp: Buffer overflow in dhclient possibly allowing code execution triggered by malicious server
Comment 1 Philipp Hahn univentionstaff 2018-03-08 14:04:20 CET
repo-errata-exec work.yaml isc-dhcp
repo-errata-bug isc-dhcp.yaml

Package: isc-dhcp
Version: 4.3.1-6+deb8u3A~4.2.3.201803080749
Branch: ucs_4.2-0
Scope: errata4.2-3

[4.2-3] b3325334db Bug #46548: isc-dhcp 4.3.1-6+deb8u3

OK: errata-announce -V --only isc-dhcp.yaml
Comment 2 Philipp Hahn univentionstaff 2018-03-08 14:38:05 CET
OK: <http://10.200.17.11/>:
OK debdiff isc-dhcp-relay-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-relay-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-relay-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-common_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-common_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-common_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-server-ldap_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-server-ldap_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-server-ldap_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-relay_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-relay_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-relay_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-server_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-server_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-server_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-server-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-server-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-server-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-client_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-client_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-client_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-client-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-client-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-client-dbg_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK debdiff isc-dhcp-dev_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK dchdiff isc-dhcp-dev_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
OK piupart isc-dhcp-dev_4.3.1-6+deb8u3A~4.2.3.201803080749_amd64.deb
Comment 3 Arvid Requate univentionstaff 2018-04-12 19:29:54 CEST
Verified:
* Upstream source package imported
* UCS patches applied during built
* Package update works
* Advisory: Ok
Comment 4 Arvid Requate univentionstaff 2018-04-18 14:16:00 CEST
<http://errata.software-univention.de/ucs/4.2/336.html>